<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Ventas por Catálogo';
echo "<title>".AppName.' - '.$title."</title>";

$buscar = DataForms::GET('id');
$descrip = DataForms::GET('descrip');
$SucCodigo = SucursalUsuario($USID);

function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div id='Productos' class="table-responsive">
									<div class="table-responsive">
										<div class="row">	
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Item:</label>
														<input id='txtBuscar' value='<?php echo $buscar; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar' class="btn btn-default"></center>
													</div>						
													
												</div>																				
											
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Descripción o Nombre de Producto:</label>
														<input id='txtBuscar2' value='<?php echo $descrip; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar2'  class="btn btn-default"></center>
													</div>																										
												</div>																			
											</div>                                     
                                        <?php 
                                        $db=new DB();
										//AND prod.ubica_codigo = '$SucCodigo'
												if($buscar != ''){													
													$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
													WHERE prod.ubica_codigo = ubi.ubica_codigo	
													AND prod.prod_estado = '1'	
													AND prod.prod_item LIKE('%".$buscar."%')									
													ORDER BY prod_id DESC;";	
												}else{
													if($descrip != '&nbsp;'){
														$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
														WHERE prod.ubica_codigo = ubi.ubica_codigo	
														AND prod_estado = '1'	
														AND prod.prod_nombre LIKE('%".$descrip."%')									
														ORDER BY prod_id DESC;";
													}else{
														$sql = "SELECT * FROM inventarios_productos WHERE 0";
													}	
												}
										//echo $sql;
                                        $db= new DB();
										$db->dbSQL($sql);
										$html='<table id="ventas" class="display table table-striped table-hover" >
											<thead>
												<tr><th>N&ordm;</th>													
													<th>producto</th>
													<th>piezas</th>
													<th>precios</th>
													<th>foto</th>
													<th>agregar</th>
												</tr>
											</thead>											
											<tbody>';
										$i=0;
										while($db->next()){						
										$i++;																													
											$prod_id = $db->dbField('prod_id');
											$ubica_codigo = $db->dbField('ubica_codigo');
												$ubica_nombre = utf8_encode($db->dbField('ubica_nombre'));													
												$ubica_color = $db->dbField('ubica_color');													
													
											$prod_item = $db->dbField('prod_item');
											$prod_codigo = $db->dbField('prod_codigo');
											$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
											$prod_foto = $db->dbField('prod_foto');
												if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
											$prod_piezascaja = $db->dbField('prod_piezascaja');
											$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
											$prod_preciounitario = $db->dbField('prod_preciounitario');
											$prod_preciodocena = $db->dbField('prod_preciodocena');
											$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
											$prod_fecha = $db->dbField('prod_fecha');
											//Calculos
											$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
											$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);			
											$prod_observaciones = utf8_encode($db->dbField('prod_observaciones'));	
											  //if($prod_observaciones=='') $prod_observaciones='Sin observaciones';																																														
											  $html.='<tr><td align=center width="1%"><b>'.$i.'</b></td>';	  
												if($prod_unidadesreal<=0){
													$html.='<td><b>'.($prod_nombre).'</b><br>
														 <b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;color:white;text-shadow:black 1px 1px;border-radius:7px;">'.$ubica_nombre.'</span><br>
														 <b>Item: </b>'.$prod_item.'</td>';	
												}else{																		  
													$html.='<td><div class="filas" onclick=Vender("'.$prod_codigo.'")>';												
													$html.='<b>'.($prod_nombre).'</b><br>
														 <b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;color:white;text-shadow:black 1px 1px;border-radius:7px;">'.$ubica_nombre.'</span><br>
														 <b>Item: </b>'.$prod_item.'</div></td>';											
												}													
													
												if($prod_unidadesreal<=0){	  
													$html.="<td align='center'><h1 align=center>sin stock</h1></td>";													
													$html.="<td align='center'><h1 align=center>sin stock</h1></td>";
													$html.="<td align='center'><h1 align=center>sin stock</h1></td>";
													$html.="<td align='center'><h1 align=center>sin stock</h1></td>";
												}else{
													$html.='<td>
														  <b>Piezas Caja:</b>'.$prod_piezascaja.'<br>
														  <b>Cantidad&nbsp;Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
														  <b>Total Piezas: </b>'.$prod_unidadesreal.'</td>
														<td>
														  <b>p. Unitario:</b> Bs.'.$prod_preciounitario.'<br>
														  <b>p. Docena:</b> Bs.'.$prod_preciodocena.'<br>
														  <b>p.&nbsp;Caja:&nbsp;</b>&nbsp;Bs.'.$prod_preciocajadocena.'</td>';
													$html.='<td align=center><img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="100px"></td>';
													$html.="<td align='center'>
														<a href='#' onclick=Vender('".$prod_codigo."') class='btn btn-primary' style='color:white'>
														AGREGAR</a></td>";
												}  
												$html.='</tr>';																			
											
										}//wend() 
										if($i==0){
											$html.='<br><br><br>
												<h3 align=center>No se encontraron productos bajo el criterio de Busqueda !!!</h3>
												<br><br><br><br>';
										}
										$html.='</tbody></table>';
										echo $html;                                      
                                        ?>                                                                                    
                                        </tbody>                                        
                                    </table>
									</div>
									<div id='CarritoCompras'></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>			
	<script src="<?php echo PATH_HOME.'assets/js/jspdf.debug.js';?>"></script>	
		</div>
		<div id='res'></div>
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#ventas').DataTable({
		"pageLength": 2,
	});
});	

function Vender(prod){	
	$.post('<?php echo PATH_HOME.'catalogos-registrar.php?reg='. sha1(uniqid()); ?>',{
	 'codigo_venta': '<?php echo substr(sha1(uniqid()),1,7); ?>',
	 'prod_codigo': prod,
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 
}

$('#btnBuscar').click(function(){
	let b = $('#txtBuscar').val();
	self.location = '<?php echo PATH_HOME."catalogos.php?id="; ?>'+b+'&descrip=&nbsp;';
});
$('#btnBuscar2').click(function(){
	let c = $('#txtBuscar2').val();
	self.location = '<?php echo PATH_HOME."catalogos.php?id=&descrip="; ?>'+c;
});

</script>